codeforces 1189C Candies! / 前缀和】的更多相关文章

http://codeforces.com/problemset/problem/1189/C 求一下前缀和,给定区间的数字和除以10就是答案 AC代码: #include<iostream> #include<algorithm> #include<vector> using namespace std; long long seq[100050]; int main(){     long long int num;     cin>>num;     …
题目链接:http://codeforces.com/problemset/problem/1189/C 思路:前缀和. AC代码: #include<bits/stdc++.h> using namespace std; ; int a[maxn]; int n, m; int ask(int x,int y) { ])/; } int main() { cin >> n; int x , y; ;i <= n;i++) { cin >> a[i]; a[i]…
题目大意:给你一个数组每个数不大于9,然后给你m个区间,每个区间的长度都是2的k次方(k=0 1 2.....)  有一种操作是把奇数位和偶数位相加  用和来代替之前的两个数,如果和大于等于10就要膜10并且答案计数+1  .每一个区间询问你需要输出把这个区间的每队奇数位和偶数位不断相加取膜处理.问你最后只剩一个数的时候,取了几次膜. 分析:因为最后都是要加和到只剩一位的,所以直接前缀和然后再除10就是答案了 #include<bits/stdc++.h> using namespace st…
It's been almost a week since Polycarp couldn't get rid of insomnia. And as you may already know, one week in Berland lasts k days! When Polycarp went to a doctor with his problem, the doctor asked him about his sleeping schedule (more specifically,…
链接:CodeForces - 776C 题意:给出数组 a[n] ,问有多少个区间和等于 k^x(x >= 0). 题解:求前缀和,标记每个和的个数.对每一个数都遍历到1e5,记录到答案. #include <bits/stdc++.h> using namespace std; long long n, k; map<long long, long long> mp; int main() { scanf("%lld%lld", &n, &am…
链接:CodeForces - 948C 题意:N天,每天生产一堆雪体积 V[i] ,每天每堆雪融化 T[i],问每天融化了多少雪. 题解:对 T 求前缀和,求每一堆雪能熬过多少天,再记录一下多余的就行了. #include <bits/stdc++.h> using namespace std; ; int N; int V[maxn], T[maxn]; long long S[maxn], E[maxn], D[maxn], X[maxn]; int main() { scanf(&qu…
题意原文地址:https://blog.csdn.net/chenzhenyu123456/article/details/50574169 题意:有n个数和m次查询,每次查询区间[l, r]问满足ai ^ ai+1 ^ ... ^ aj == k的(i, j) (l <= i <= j <= r)有多少对. 思路:离线做.首先预处理前缀异或和sum[],那么ai ^ ... ^ aj == sum[i-1] ^ sum[j]. 这样对一次查询[l, r]的处理,可以从左到右扫一次,统计…
题目大意 给定整数 $n, k, l, r$,$1\le n, k \le 10^{11}$,$1\le l, r \le n$ . 令 $ m = r - l + 1$,若 $m \le 0$,$m\gets m + n$ . 未知数 $x\in \mathbb{Z}$ 满足 $ 0 \le x \le n$,且满足 $ k \bmod (n + x) = 0$ 且 $m = n$ :或者 $ k \bmod (n + x) \ne 0$ 且 $0 \le k \bmod (n + x) -…
大意: $n$行$m$列砖, 白天左侧边界每块砖有$p$概率被摧毁, 晚上右侧边界有$p$概率被摧毁, 求最后上下边界连通的概率. 记${dp}_{i,l,r}$为遍历到第$t$行时, 第$t$行砖块范围$[l,r]$的概率. 有${dp}_{i,l,r}=p_{l,r}\sum {dp}_{i-1,l',r'}$ (要满足$[l',r']$与$[l,r]$相交) $p_{l,r}$表示$k$天后剩余砖是$[l,r]$的概率. 考虑二维前缀优化, 记$f_{i,l,r}=\sum\limits_…
You are given two huge binary integer numbers aa and bb of lengths nn and mmrespectively. You will repeat the following process: if b>0b>0, then add to the answer the value a & ba & b and divide bb by 22 rounding down (i.e. remove the last d…